- Random123-1.09 Documentation

Classes | Namespaces | Defines | Typedefs | Enumerations | Functions

# Random123/aes.h File Reference

`#include "features/compilerfeatures.h"`
`#include "array.h"`

Go to the source code of this file.

## Classes
struct | aesni1xm128i_key_t
class | r123::AESNI1xm128i
struct | r123::AESNI4x32
class | r123::AESNI1xm128i_R< ROUNDS >
class | r123::AESNI4x32_R< ROUNDS >
## Namespaces
namespace | r123
## Defines
#define | aesni4x32_rounds aesni1xm128i_rounds
#define | aesni4x32(c, k) aesni4x32_R(aesni4x32_rounds, c, k)
## Typedefs
typedef struct r123array1xm128i | aesni1xm128i_ctr_t
typedef struct r123array1xm128i | aesni1xm128i_ukey_t
typedef struct r123array4x32 | aesni4x32_ukey_t
typedef struct r123array4x32 | aesni4x32_ctr_t
typedef aesni1xm128i_key_t | aesni4x32_key_t
## Enumerations
enum | r123_enum_aesni1xm128i { aesni1xm128i_rounds = 10 }
enum | r123_enum_aesni4x32 { aesni4x32_rounds = 10 }
## Functions
static aesni1xm128i_ctr_t | aesni1xm128i (aesni1xm128i_ctr_t in, aesni1xm128i_key_t k)
static aesni1xm128i_ctr_t | aesni1xm128i_R (unsigned R, aesni1xm128i_ctr_t in, aesni1xm128i_key_t k)
static aesni4x32_key_t | aesni4x32keyinit (aesni4x32_ukey_t uk)
static aesni4x32_ctr_t | aesni4x32_R (unsigned int Nrounds, aesni4x32_ctr_t c, aesni4x32_key_t k)

## Define Documentation

#define aesni4x32_rounds aesni1xm128i_rounds

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines